Update a contact
Update a contact’s attributes
PATCH
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
Update a contact
curl --request PATCH \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier} \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "1234567890",
"identifier_hash": "4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396",
"email": "alice@acme.inc",
"name": "Alice",
"phone_number": "+123456789",
"avatar": "<string>",
"custom_attributes": {}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}"
payload = {
"identifier": "1234567890",
"identifier_hash": "4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396",
"email": "alice@acme.inc",
"name": "Alice",
"phone_number": "+123456789",
"avatar": "<string>",
"custom_attributes": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '1234567890',
identifier_hash: '4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396',
email: 'alice@acme.inc',
name: 'Alice',
phone_number: '+123456789',
avatar: '<string>',
custom_attributes: {}
})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"1234567890\",\n \"identifier_hash\": \"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396\",\n \"email\": \"alice@acme.inc\",\n \"name\": \"Alice\",\n \"phone_number\": \"+123456789\",\n \"avatar\": \"<string>\",\n \"custom_attributes\": {}\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}"
payload := strings.NewReader("{\n \"identifier\": \"1234567890\",\n \"identifier_hash\": \"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396\",\n \"email\": \"alice@acme.inc\",\n \"name\": \"Alice\",\n \"phone_number\": \"+123456789\",\n \"avatar\": \"<string>\",\n \"custom_attributes\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.591Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": null,
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}{
"error": "Resource could not be found"
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
Body
application/json
External identifier of the contact
Example:
"1234567890"
Identifier hash prepared for HMAC authentication. HMAC-SHA256 of the contact identifier, keyed by the inbox HMAC token. The value above is illustrative.
Example:
"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396"
Email of the contact
Example:
"alice@acme.inc"
Name of the contact
Example:
"Alice"
Phone number of the contact
Example:
"+123456789"
Send the form data with the avatar image binary or use the avatar_url
Custom attributes of the customer
Example:
{}
Was this page helpful?
⌘I
Update a contact
curl --request PATCH \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier} \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "1234567890",
"identifier_hash": "4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396",
"email": "alice@acme.inc",
"name": "Alice",
"phone_number": "+123456789",
"avatar": "<string>",
"custom_attributes": {}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}"
payload = {
"identifier": "1234567890",
"identifier_hash": "4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396",
"email": "alice@acme.inc",
"name": "Alice",
"phone_number": "+123456789",
"avatar": "<string>",
"custom_attributes": {}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
identifier: '1234567890',
identifier_hash: '4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396',
email: 'alice@acme.inc',
name: 'Alice',
phone_number: '+123456789',
avatar: '<string>',
custom_attributes: {}
})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"identifier\": \"1234567890\",\n \"identifier_hash\": \"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396\",\n \"email\": \"alice@acme.inc\",\n \"name\": \"Alice\",\n \"phone_number\": \"+123456789\",\n \"avatar\": \"<string>\",\n \"custom_attributes\": {}\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}"
payload := strings.NewReader("{\n \"identifier\": \"1234567890\",\n \"identifier_hash\": \"4a7f2c1e9b6d8305fe41c27a90b3d6528ecf1a04b7d29e63c85f0a12d4b7e396\",\n \"email\": \"alice@acme.inc\",\n \"name\": \"Alice\",\n \"phone_number\": \"+123456789\",\n \"avatar\": \"<string>\",\n \"custom_attributes\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 147,
"name": "Dana Brooks",
"email": "dana.brooks4821@example.com",
"phone_number": null,
"account_id": 1,
"created_at": "2026-09-21T02:25:37.579Z",
"updated_at": "2026-09-21T02:25:37.591Z",
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"identifier": "user-4821",
"custom_attributes": {},
"last_activity_at": null,
"contact_type": "lead",
"middle_name": "",
"last_name": "",
"location": null,
"country_code": null,
"blocked": false,
"company_id": null,
"label_list": []
}{
"error": "Resource could not be found"
}